# Class Paragraph

#### Hierarchy

- XmlComponent
  - Paragraph

- Defined in src/file/paragraph/paragraph.ts:42

#####
Index

### Constructors

constructor

### Methods

addChildElement
addRunToFront
prepForXml

## Constructors

### constructor

- new Paragraph(options: string | IParagraphOptions): Paragraph

- #### Parameters

  - ##### options: string | IParagraphOptions

  #### Returns Paragraph

  Overrides XmlComponent.constructor

  - Defined in src/file/paragraph/paragraph.ts:45

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:34

### addRunToFront

- addRunToFront(run: Run): Paragraph

- #### Parameters

  - ##### run: Run

  #### Returns Paragraph

  - Defined in src/file/paragraph/paragraph.ts:97

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Overrides XmlComponent.prepForXml

  - Defined in src/file/paragraph/paragraph.ts:79

Generated using TypeDoc